from Products.CMFCore.utils import getToolByName

def modifyMTool(self):
    mt=getToolByName(self, 'portal_membership')

    acts=list(mt.listActions())
    selection=[acts.index(a) for a in acts]
    mt.deleteActions(selection)

    mt.addAction('mystuff'
                ,'My Folder'
                ,'string:${portal/portal_membership/getHomeUrl}/folder_contents'
                ,'python: member and portal.portal_membership.getHomeFolder()'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('preferences'
                ,'My Preferences'
                ,'string:${portal_url}/plone_memberprefs_panel'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('login'
                ,'Log in'
                ,'python:portal_url.replace("http:","https:")+"/login_form"'
                ,'not: member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('plone_setup'
                ,'Site Setup'
                ,'string:${portal_url}/plone_control_panel'
                ,''
                ,'Manage portal'
                ,'user'
                , visible=1)
    mt.addAction('svnrepos'
                ,'SVN Repositories'
                ,'string:https://svn.waeup.org/repos/'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('svninter'
                ,'SVN Web Interface'
                ,'string:https://svn.waeup.org/'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('usermanagement'
                ,'User Management System'
                ,'string:https://waeup.org:20000/'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('ldap'
                ,'LDAP Server'
                ,'string:https://ldap.waeup.org/'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('webmail'
                ,'Webmail'
                ,'string:https://mail.waeup.org'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)
    mt.addAction('logout'
                ,'Log out'
                ,'python:portal_url.replace("https:","http:")+"/logout"'
                ,'member'
                ,'View'
                ,'user'
                , visible=1)